# $Revision:$, $Date:$
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Rose
%define	pnam	DB-Object
Summary:	Rose::DB::Object - Extensible, high performance RDBMS-OO mapper.
#Summary(pl):	
Name:		perl-Rose-DB-Object
Version:	0.764_03
Release:	0.1
# same as perl (REMOVE THIS LINE IF NOT TRUE)
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/J/JS/JSIRACUSA/Rose-DB-Object-0.764_03.tar.gz
# Source0-md5:	8b97ed29faaad15fffbc847490969d26
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Bit::Vector::Overload)
BuildRequires:	perl(Clone) >= 0.2
BuildRequires:	perl(DBI) >= 1.4
BuildRequires:	perl(DateTime)
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	perl(Math::BigInt) >= 1.77
BuildRequires:	perl(Rose::DB) >= 0.734
BuildRequires:	perl(Rose::DateTime::Util) >= 0.532
BuildRequires:	perl(Rose::Object) >= 0.84
BuildRequires:	perl(Time::Clock)
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rose::DB::Object is a base class for objects that encapsulate a single row in a database table.  Rose::DB::Object-derived objects are sometimes simply called "Rose::DB::Object objects" in this documentation for the sake of brevity, but be assured that derivation is the only reasonable way to use this class.

Rose::DB::Object inherits from, and follows the conventions of, Rose::Object.  See the Rose::Object documentation for more information.

For an informal overview of this module distribution, consult the Rose::DB::Object::Tutorial.



# %description -l pl
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Rose/DB/*.pm
%{perl_vendorlib}/Rose/DB/Object
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log:$
